#include <bits/stdc++.h>
using namespace std;

int main()
{
    int m,n;
    cin>> m>>n;
    int a[n];
    vector<int>v;
    map<int,int>mp;
    for(int i=0;i<n;i++){
        cin>> a[i];
    }
    for(int i=0;i<n;i++){
        mp[a[i]]++;
        if(mp[a[i]]==2){
            v.push_back(a[i]);
        }
    }
    cout<< v.size()<<endl;
    for(int i=0;i<v.size();i++){
        cout<< v[i]<<' ';
    }
}
